Subject: Re: [Simple] question about Presence XDMS AUID

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 12 Sep 2006 17:26:13 -0400

This seems like a bug in the OMA specs. The URL is supposed to contain 
the AUID.

Can anyone confirm that OMA is using a different AUID for presence 
rules, and why?

-Jonathan R.

Noga Tor wrote:

> Hi
>  
> I was reading the OMA document regarding the AUID of the Presence XDMS 
> and I stumbled into something confusing.
>  
> DEFINITION OF APPLICATION UNIQUE ID
> ==================================
> *
> 
> 5.1.2.2 <http://5.1.2.2> Application Unique ID
> 
> *
> 
> The AUID SHALL be "org.openmobilealliance.pres-rules".
> 
>  
> EXAMPLE OF USAGE WITH APPLICATION UNIQUE ID
> ==========================================
> 
> 1) The user "sip:[email-masked]" wants to obtain the 
> document describing his Presence Authorisation
> 
> Rules. For this purpose the XDM Client sends an HTTP GET request to the 
> Aggregation Proxy.
> 
> GET 
> http://xcap.example.com/pres-rules/users/sip:[email-masked]/pres-rules 
> HTTP/1.1
> 
> Content-Length: 0
> 
> 2) Based on the AUID the Aggregation Proxy forwards the request to the 
> Presence XDMS.
> 
>  
> 
>  
> 
> What does it mean, based on the AUID? the "GET" request did not contain 
> the AUID in the same format mentioned above, so by which part do we base 
> the conclusion that this should be forwarded to the Presence XDMS??
> 
>  
> 
> Thanks
> 
> Noga
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: <[email-masked]>
Date: Wed, 13 Sep 2006 10:04:30 +0300

Hi,

I remember discussing this a long time ago with some collegues working
in OMA. 

I believe the reason is that OMA is not using common policy exactly as
specified in the recently approved RFC, but they decided to do some kind
of exception handling for the identity identity condition. They have
something like "other-identity" which matches always when the other
identity conditions do not match. They did this because they wanted to
do blacklists and that was not possible in common-policy as the "except"
clause was missing for a long time. In the end common-policy included
"except", but that was unfortunately too late for OMA. 

My guidance was that if OMA actually uses something different, they also
must define a separate AUID for it, to avoid even more confusion. (I
further hope that the folks implementing the presence servers would
actually support both AUs to maximize interoperability. It is not
possible to combine the rules, but at least in single-source cases it is
possible to support clients that implement the IETF RFC as well as the
OMA spec.)

Someone more involved in OMA can correct if my understanding is wrong.

Regards,
	Markus

>-----Original Message-----
>From: ext Jonathan Rosenberg [mailto:[email-masked]] 
>Sent: 13 September, 2006 00:26
>To: Noga Tor
>Cc: [email-masked]
>Subject: Re: [Simple] question about Presence XDMS AUID
>
>This seems like a bug in the OMA specs. The URL is supposed to 
>contain the AUID.
>
>Can anyone confirm that OMA is using a different AUID for 
>presence rules, and why?
>
>-Jonathan R.
>
>Noga Tor wrote:
>
>> Hi
>>  
>> Rules. For this purpose the XDM Client sends an HTTP GET request to 
>> the Aggregation Proxy.
>> 
>> GET
>> 
>> What does it mean, based on the AUID? the "GET" request did not 
>> contain the AUID in the same format mentioned above, so by 
>which part 
>> do we base the conclusion that this should be forwarded to 
>the Presence XDMS??
>> 
>>  
>> 
>> Thanks
>> 
>> Noga
>> 
>> 
>>

---

From: David Viamonte <[email-masked]>
Date: Wed, 13 Sep 2006 10:11:48 +0200

Hi,

I agree that the example is wrong, it should contain the full AUID.

My understanding is that OMA has defined a specific AUID for Presence
Rules. Possibly one of the reasons is that OMA supports using external
references in a Presence Rules document that includes policies [OMA XDM
Core section 6.6.2]. This is explicitly not supported by the Common
Policies I-D. Therefore, strictly speaking, OMA Presence Rules
documents may not be fully compliant to IETF Common Policy I-D.

IMMO, one of the reasons to support such external reference is to make
use of XML documents stored in the Shared XDMS, so that potentially
different applications (e.g.: Presence, PoC, IM, ...) can reuse a
common URI list to define featues such as white lists, black lists, ...

Please, correct if I'm
wrong.

Cheers,

David

Jonathan Rosenberg escribió:

This seems
like a bug in the OMA specs. The URL is supposed to contain the AUID.

-Jonathan R.

Noga Tor wrote:

Hi

*

*

GET

Content-Length: 0

What does it mean, based on the AUID? the "GET" request did not contain
the AUID in the same format mentioned above, so by which part do we
base the conclusion that this should be forwarded to the Presence
XDMS??

Thanks

Noga

Simple mailing list

[email-masked]